%if (0%{?fedora} > 23)
%global with_appdata 1
%else
%global with_appdata 0
%endif

Name:           purple-line
Version:        20151114git26f6511
Release:        1%{?dist}
Summary:        libpurple (Pidgin, Finch) protocol plugin for LINE
License:        MIT
URL:            http://altrepo.eu/git/purple-line
# The source for this package was pulled from upstream's git. Use the
# following commands to generate the tarball:
# git clone http://altrepo.eu/git/purple-line.git
# git archive 26f65110338dfbfdf1742a262e751ecd77d01e01
# --format=tar.gz --prefix=%%{name}-%%{version}/
# > %%{name}-%%{version}.tar.gz

Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml
# for %%{name}-debuginfo.rpm
Patch1:         %{name}-01-strip.patch

Requires:       pidgin
BuildRequires:  gcc-c++
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(pidgin)
BuildRequires:  pkgconfig(thrift)

%description
This provides the interface of LINE messenger for pidgin.

%prep
%setup -q
%patch1 -p1 -b .strip

%build
CXXFLAGS="${CXXFLAGS:-%optflags}"
# Copied CXXFLAGS from %%name/libpurple/Makefile
CXXFLAGS="$CXXFLAGS -shared -fPIC"
CXXFLAGS="$CXXFLAGS -DHAVE_INTTYPES_H -DHAVE_CONFIG_H -DPURPLE_PLUGINS"
CXXFLAGS="$CXXFLAGS `pkg-config --cflags purple thrift`"
make %{?_smp_mflags} CXXFLAGS="$CXXFLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

%if %with_appdata
install -pm 644 -D %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/appdata/purple-line.metainfo.xml
%endif

%files
%license LICENSE
%doc README.md
%{_libdir}/purple-2/libline.so
%{_datadir}/pixmaps/pidgin/protocols/*/line.png
%{_datadir}/pixmaps/pidgin/protocols/scalable/line.svg
%if %with_appdata
%{_datadir}/appdata/purple-line.metainfo.xml
%endif

%changelog
* Tue Jan 05 2016 Takao Fujiwara <tfujiwar@redhat.com> - 20151114git26f6511-1
- Bumped to 20151114git26f6511
- Fixed #1294372 - Added purple-line.metainfo.xml

* Wed Aug 12 2015 Takao Fujiwara <tfujiwar@redhat.com> - 20150725git92e8a21-1
- Bumped to 20150725git92e8a21

* Mon Jun 15 2015 Takao Fujiwara <tfujiwar@redhat.com> - 20150426git9b7b019-1
- Bug 1232580 Initial implementation
